Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations
POSTCeph Primary Storage OperationsSince 0.6SynchronousAuth Required

AddCephPrimaryStorage

AddCephPrimaryStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • monUrlsListRequired

      The URL list of the Ceph monitor daemon (Ceph mon).

    • rootVolumePoolNameString

      Optional. The name of the Ceph pool that is available for root volumes.

    • dataVolumePoolNameString

      Optional. The name of the Ceph pool that is available for data volumes.

    • imageCachePoolNameString

      Optional. The name of the Ceph pool that is available for image caches.

    • urlStringRequired

      The reserved field.

    • nameStringRequired

      The name of the Ceph primary storage.

    • descriptionString

      Optional. The detailed description of the Ceph primary storage.

    • typeString

      Optional. The primary storage type: Ceph.

    • zoneUuidStringRequired

      The zone UUID.

    • resourceUuidString

      Optional. The resource UUID. If specified, the Ceph primary storage will use this field as the UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryPrimaryStorageInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • totalPhysicalCapacityLongRequired

      总物理容量。

    • availablePhysicalCapacityLongRequired

      可用物理容量。

    • systemUsedCapacityLongRequired

      系统已使用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • mountPathStringRequired

      mount路径。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      附加集群UUID。

Endpoint

POST/zstack/v1/primary-storage/ceph

/zstack/v1/primary-storage/ceph

Operation ID

AddCephPrimaryStorage

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/primary-storage/ceph' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"monUrls":["<monUrls>"],"rootVolumePoolName":"<rootVolumePoolName>","dataVolumePoolName":"<dataVolumePoolName>","imageCachePoolName":"<imageCachePoolName>","url":"<url>","name":"<name>","description":"<description>","type":"<type>","zoneUuid":"<zoneUuid>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "Ceph-1", "url": "not used", "type": "Ceph", "state": "Enabled", "status": "Connected", "attachedClusterUuids": [ "2d8583d86bd1472e8ec0e04e26ea273f" ] } }

Change History

This API has no change history records yet.

View all change history